Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 613194 (CVE-2010-2519)

Summary: CVE-2010-2519 freetype: heap buffer overflow vulnerability when processing certain font files
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: behdad, bressers, fonts-bugs, jlieskov, jrusnack, kevin, mkasik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20100609,reported=20100702,source=vendor-sec,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,cwe=CWE-122[auto],rhel-4/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-6/freetype=notaffected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-30 09:10:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 613298, 613299, 614010, 614011, 614012, 614013, 806290    
Bug Blocks:    

Description Vincent Danen 2010-07-09 18:35:02 EDT
Robert Swiecki reported a heap buffer overflow vulnerability in freetype with how it processes certain fonts.  This could cause applications linked against freetype to crash or, possibly, lead to the execution of arbitrary code if an attacker were able to get a victim to load a malicious font file.

The affected code is not present in Red Hat Enterprise Linux 3 (freetype 2.1.4).

This issue has been given the name CVE-2010-2519.

Upstream bug reports:

http://savannah.nongnu.org/bugs/index.php?30306

Upstream commits that fix the issue:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=5ef20c8c1d4de12a84b50ba497c2a358c90ec44b
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=b2ea64bcc6c385a8e8318f9c759450a07df58b6d

Acknowledgements:

Red Hat would like to thank Robert Święcki of the Google Security Team for the
discovery of this issue.
Comment 2 Vincent Danen 2010-07-10 12:03:24 EDT
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]
Comment 5 Vincent Danen 2010-07-15 16:43:27 EDT
Upstream has released 2.4.0 to correct this issue:

http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html
Comment 6 errata-xmlrpc 2010-07-30 12:10:18 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0578 https://rhn.redhat.com/errata/RHSA-2010-0578.html